%                               TEST 3-A
% Test the generic help system interface in h-generic.red. For special
% interfaces, you might want to replace h-generic.red with your own.
% This particular test is specific to PSL.

% To run, you need help.hlp and help.idx, the master help files.

%   reduce
%   in "p-test3.red"$
%   bye;

% The system should print the basic help on help message. After a
% syntax error, you should answer Y to continue and watch an explanation.

% The system requires the files:
%   p-rfast.red                          PSL hack for fast arith.
%   p-sysdep.red                         PSL system dependent functions.
%   help.hlp                             From help.bld
%   help.idx                             From help.bld
%   h-format.red                         Formatted output.
%   h-generic.red                        Generic help interface.
%   h-help.red                           Basic help system.
%   h-seqio.red                          Simulated random access I/O
%   h-sysdep.red                         PSL specific functions.

symbolic;

on comp;

in "p-rfast.red"$
in "h-format.red"$
in "h-generic.red"$
in "h-help.red"$
in "h-seqio.red"$
in "p-sysdep.red"$

helpinit("help.hlp", "help.idx");

help lambda;
help assoc;

end;
